Summary:	An abstract soundfile decoder
Summary(pl):	Abstrakcyjny dekoder plikw dwikowych
Name:		SDL_sound
Version:	1.0.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.icculus.org/%{name}/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	49e197ef7c8ab623d0640dc74be43160
URL:		http://www.icculus.org/SDL_sound/
BuildRequires:	SDL-devel >= 1.2.6
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flac-devel
BuildRequires:	libmikmod-devel >= 3.1.5
BuildRequires:	libmodplug-devel
BuildRequires:	libvorbis-devel >= 1:1.0-6
BuildRequires:	libtool
BuildRequires:	physfs-devel
BuildRequires:	smpeg-devel >= 0.4.4-12
BuildRequires:	speex-devel
Requires:	SDL >= 1.2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SDL_sound is a library that handles the decoding of several popular
sound file formats, such as .WAV and .MP3. It is meant to make the
programmer's sound playback tasks simpler. The programmer gives
SDL_sound a filename, or feeds it data directly from one of many
sources, and then reads the decoded waveform data back at her leisure.
If resource constraints are a concern, SDL_sound can process sound
data in programmer-specified blocks. Alternately, SDL_sound can decode
a whole sound file and hand back a single pointer to the whole
waveform. SDL_sound can also handle sample rate, audio format, and
channel conversion on-the-fly and behind-the-scenes, if the programmer
desires.

%description -l pl
SDL_sound to biblioteka obsugujca dekodowanie kilku popularnych
formatw plikw dwikowych, takich jak .WAV lub .MP3. Jej celem
jest uproszczenie pracy programisty przy odtwarzaniu dwiku.
Programista przekazuje SDL_sound nazw pliku lub dostarcza dane
bezporednio z jednego z wielu rde, a nastpnie odczytuje strumie
zdekodowanych danych. Jeli ograniczenia zasobw s istotne, SDL_sound
moe obsugiwa dane dwikowe w podanych blokach. Alternatywnie,
SDL_sound moe dekodowa cay plik dwikowy i przekazywa z powrotem
pojedynczy wskanik do caoci zdekodowanych danych. SDL_sound moe
take obsugiwa w locie konwersj czstotliwoci prbkowania, formatu
dwiku i liczby kanaw.

%package devel
Summary:	Header files and more to develop SDL_sound applications
Summary(pl):	Pliki nagwkowe do tworzenia aplikacji z uyciem SDL_sound
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	SDL-devel >= 1.2.6
Requires:	flac-devel
Requires:	libmikmod-devel >= 3.1.5
Requires:	libmodplug-devel
Requires:	libvorbis-devel >= 1:1.0
Requires:	smpeg-devel >= 0.4.4
Requires:	speex-devel

%description devel
Header files and more to develop SDL_sound applications.

%description devel -l pl
Pliki nagwkowe do tworzenia aplikacji z uyciem SDL_sound.

%package static
Summary:	Static SDL_sound libraries
Summary(pl):	Statyczne biblioteki SDL_sound
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static SDL_sound libraries.

%description static -l pl
Statyczne biblioteki SDL_sound.

%prep
%setup -q

echo 'AC_DEFUN([AM_PATH_VORBIS],[XIPH_PATH_VORBIS])' > acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-I/usr/include/libmodplug"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG CREDITS README TODO
%attr(755,root,root) %{_bindir}/playsound
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/SDL/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
